安全矩阵

 找回密码
 立即注册
搜索
查看: 1703|回复: 0

php 远程代码执行 (CVE-2019-11043)

[复制链接]

63

主题

125

帖子

457

积分

中级会员

Rank: 3Rank: 3

积分
457
发表于 2021-11-21 21:16:28 | 显示全部楼层 |阅读模式
php 远程代码执行 (CVE-2019-11043)
描述: PHP即“超文本预处理器”,是在服务器端执行的脚本语言,尤其适用于Web开发并可嵌入HTML中。PHP语法利用了C、Java和Perl,该语言的主要目标是允许web开发人员快速编写动态网页。 该漏洞位于PHP-FPM模块的env_path_info函数,漏洞实际上是有个内存下溢破坏漏洞,攻击者利用该漏洞结合其他漏洞利用可以让攻击者在有漏洞的web网站上执行任意代码。
Nginx PHP-FPM 环境下,当启用了上述 Nginx 配置后,以下 PHP 版本受本次漏洞影响: PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3
复现
攻击机是kali,攻击脚本是go语言写的所以要有go环境
我的go环境没改,只能通过source /etc/profile运行go


从github上下载exp、
?a=id



回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|安全矩阵

GMT+8, 2024-3-2 07:43 , Processed in 0.010467 second(s), 18 queries .

Powered by Discuz! X4.0

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表